@extends('layouts.admin')
@section('title',__('adminstaticwords.CreateAudio'))

@section('content')
<div class="admin-form-main-block">
  <h4 class="admin-form-text">
    @can('audio.view')
      <a href="{{url('admin/worldcuplive')}}" data-toggle="tooltip" data-original-title="{{__('adminstaticwords.GoBack')}}" class="btn-floating"><i class="material-icons">reply</i></a>
    @endcan 
    Edit Live
  </h4>
  <div class="row">
     <div class="col-md-6">
     <div class="admin-form-block z-depth-1">
     {!! Form::model($live, ['method' => 'PATCH', 'action' => ['WorldCupLiveController@update',$live->id]]) !!}
        <div id="movie_title" class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">
        {!! Form::label('title', 'Live title') !!} 
        <i class="fa fa-info-circle" data-toggle="tooltip" data-placement="top" title="live Name"></i>
        <input  type="text" class="form-control" name="title" value="{{ $live->title }}">
        <small class="text-danger">{{ $errors->first('title') }}</small>
      </div>


            <div id="ifbox" style="display: none;" class="form-group">

                <label for="description">description: </label> 
                  <input  type="text" class="form-control" name="description" placeholder=""  value="{{$live['description']}}">

                  <label for="url">url: </label> 
                 <input  type="text" class="form-control" name="url" placeholder=""  value="{{$live['url']}}">

            </div>


  <div class="btn-group pull-right">
    <button type="reset" class="btn btn-info"><i class="material-icons left">toys</i> {{__('adminstaticwords.Reset')}}</button>
    <button type="submit" class="btn btn-success"><i class="material-icons left">add_to_photos</i> {{__('adminstaticwords.Create')}}</button>
  </div>
{!! Form::close() !!}
</div>
</div>
</div>
</div>
<!-- Add Language Modal -->


<!-- Add Genre Modal -->
<div id="AddGenreModal" class="modal fade" role="dialog">
  <div class="modal-dialog modal-sm">
    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h5 class="modal-title">{{__('adminstaticwords.AddGenre')}}</h5>
      </div>
      {!! Form::open(['method' => 'POST', 'action' => 'GenreController@store']) !!}
      <div class="modal-body admin-form-block">
        <div class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">
          {!! Form::label('name', __('adminstaticwords.Name')) !!}
          {!! Form::text('name', null, ['class' => 'form-control', 'required' => 'required']) !!}
          <small class="text-danger">{{ $errors->first('name') }}</small>
        </div>
      </div>
      <div class="modal-footer">
        <div class="btn-group pull-right">
          <button type="reset" class="btn btn-info"><i class="material-icons left">toys</i> {{__('adminstaticwords.Reset')}}</button>
          <button type="submit" class="btn btn-success"><i class="material-icons left">add_to_photos</i> {{__('adminstaticwords.Create')}}</button>
        </div>
      </div>
      <div class="clear-both"></div>
      {!! Form::close() !!}
    </div>
  </div>
</div>
@endsection

@section('custom-script')


<script>
  $(document).ready(function(){
   $('#ifbox').show();
   $('#selecturl').change(function(){  
     selecturl = document.getElementById("selecturl").value;
      if (selecturl == 'audiourl') {
    $('#ifbox').show();
    $('#uploadaudio').hide();

  }else if (selecturl == 'upload_audio') {
   $('#uploadaudio').show();
   $('#ifbox').hide();

 }

});
 

  $('input[name="is_protect"]').click(function(){
    if($(this).prop("checked") == true){
      $('.is_protect').fadeIn();
    }
    else if($(this).prop("checked") == false){
      $('.is_protect').fadeOut();
    }
  });
});
</script>



</script>
@endsection
