@extends('layouts.admin')
@section('title','Create Result')

@section('content')
<div class="admin-form-main-block">
  <h4 class="admin-form-text">
    @can('audio.view')
      <a href="{{url('admin/worldcupresult')}}" data-toggle="tooltip" data-original-title="{{__('adminstaticwords.GoBack')}}" class="btn-floating"><i class="material-icons">reply</i></a>
    @endcan 
    Create Result
  </h4>
  <div class="row">
     <div class="col-md-6">
     <div class="admin-form-block z-depth-1">
        {!! Form::open(['method' => 'POST', 'action' => 'WorldCupResultController@store', 'files' => false]) !!}

        <div id="movie_title" class="form-group{{ $errors->has('title') ? ' has-error' : '' }}">
          {!! Form::label('date', 'Result Date') !!}
    
          {!! Form::date('date', old('date'), ['class' => 'form-control', 'placeholder' => '2022-12-08']) !!}
          <small class="text-danger">{{ $errors->first('date') }}</small>
        </div>


         <div id="ifbox" style="display: none;" class="form-group">

          <label for="time">time: </label> 
          <input  type="time" class="form-control" name="time" placeholder=""  value="00:00">

          <div class="form-group{{ $errors->has('genre_id') ? ' has-error' : '' }}">
    {!! Form::label('firstteam_id','Select First Team') !!}
    <i class="fa fa-info-circle" data-toggle="tooltip" data-placement="top" title="{{__('adminstaticwords.PleaseSelectGenres')}}"></i>
    <div class="input-group">
      {!! Form::select('firstteam_id', $teams, null, ['class' => 'form-control select2', 'single']) !!}
    
    </div>
    <small class="text-danger">{{ $errors->first('firstteam_id') }}</small>
  </div>


          <label for="firstteamresult">First Team Result: </label> 
          <input  type="number" class="form-control" name="firstteamresult" placeholder=""  value="0">


          <div class="form-group{{ $errors->has('genre_id') ? ' has-error' : '' }}">
    {!! Form::label('secondteam_id','Select Second Team') !!}
    <i class="fa fa-info-circle" data-toggle="tooltip" data-placement="top" title="{{__('adminstaticwords.PleaseSelectGenres')}}"></i>
    <div class="input-group">
      {!! Form::select('secondteam_id', $teams, null, ['class' => 'form-control select2', 'single']) !!}
    
    </div>
    <small class="text-danger">{{ $errors->first('secondteam_id') }}</small>
  </div>


          <label for="secondteamresult">Second Team Result: </label> 
          <input  type="number" class="form-control" name="secondteamresult" placeholder=""  value="0">

          <div class="make-switch">
                    {!! Form::checkbox('status', 1, false, ['class' => 'bootswitch', "data-on-text"=>"show result", "data-off-text"=>"show time", "data-size"=>"small"]) !!}
                  </div>
        </div>

  
  <div class="form-group{{ $errors->has('genre_id') ? ' has-error' : '' }}">
    {!! Form::label('genre_id',__('adminstaticwords.Genre')) !!}
    <i class="fa fa-info-circle" data-toggle="tooltip" data-placement="top" title="{{__('adminstaticwords.PleaseSelectGenres')}}"></i>
    <div class="input-group">
      {!! Form::select('genre_id', $genre_ls, null, ['class' => 'form-control select2', 'single']) !!}
      <a href="#" data-toggle="modal" data-target="#AddGenreModal" class="input-group-addon"><i class="material-icons left">add</i></a>
    </div>
    <small class="text-danger">{{ $errors->first('genre_id') }}</small>
  </div>

 
  <div class="btn-group pull-right">
    <button type="reset" class="btn btn-info"><i class="material-icons left">toys</i> {{__('adminstaticwords.Reset')}}</button>
    <button type="submit" class="btn btn-success"><i class="material-icons left">add_to_photos</i> {{__('adminstaticwords.Create')}}</button>
  </div>
<div class="clear-both"></div>
{!! Form::close() !!}
</div>
</div>
</div>
</div>
<!-- Add Language Modal -->


<!-- Add Genre Modal -->
<div id="AddGenreModal" class="modal fade" role="dialog">
  <div class="modal-dialog modal-sm">
    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h5 class="modal-title">{{__('adminstaticwords.AddGenre')}}</h5>
      </div>
      {!! Form::open(['method' => 'POST', 'action' => 'GenreController@store']) !!}
      <div class="modal-body admin-form-block">
        <div class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">
          {!! Form::label('name', __('adminstaticwords.Name')) !!}
          {!! Form::text('name', null, ['class' => 'form-control', 'required' => 'required']) !!}
          <small class="text-danger">{{ $errors->first('name') }}</small>
        </div>
      </div>
      <div class="modal-footer">
        <div class="btn-group pull-right">
          <button type="reset" class="btn btn-info"><i class="material-icons left">toys</i> {{__('adminstaticwords.Reset')}}</button>
          <button type="submit" class="btn btn-success"><i class="material-icons left">add_to_photos</i> {{__('adminstaticwords.Create')}}</button>
        </div>
      </div>
      <div class="clear-both"></div>
      {!! Form::close() !!}
    </div>
  </div>
</div>
@endsection

@section('custom-script')


<script>
  $(document).ready(function(){
   $('#ifbox').show();
   $('#selecturl').change(function(){  
     selecturl = document.getElementById("selecturl").value;
      if (selecturl == 'audiourl') {
    $('#ifbox').show();
    $('#uploadaudio').hide();

  }else if (selecturl == 'upload_audio') {
   $('#uploadaudio').show();
   $('#ifbox').hide();

 }

});
 

  $('input[name="is_protect"]').click(function(){
    if($(this).prop("checked") == true){
      $('.is_protect').fadeIn();
    }
    else if($(this).prop("checked") == false){
      $('.is_protect').fadeOut();
    }
  });
});
</script>



</script>
@endsection
